package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施能力对象 adm_ems_facs_ability
 * 
 * @author ruoyi
 * @date 2024-08-22
 */
public class EmsFacsAbility extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设施代码 */
    @Excel(name = "设施代码")
    private String facsCode;

    /** 能力名称 */
    @Excel(name = "能力名称")
    private String abilityName;

    /** 能力描述 */
    @Excel(name = "能力描述")
    private String abilityDesc;

    /** 属性值 */
    @Excel(name = "属性值")
    private String abilityParam;

    public EmsFacsAbility() {
        super();
    }

    public EmsFacsAbility(String facsCode){
        super();
        this.facsCode = facsCode;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFacsCode(String facsCode) 
    {
        this.facsCode = facsCode;
    }

    public String getFacsCode() 
    {
        return facsCode;
    }
    public void setAbilityName(String abilityName) 
    {
        this.abilityName = abilityName;
    }

    public String getAbilityName() 
    {
        return abilityName;
    }
    public void setAbilityDesc(String abilityDesc) 
    {
        this.abilityDesc = abilityDesc;
    }

    public String getAbilityDesc() 
    {
        return abilityDesc;
    }
    public void setAbilityParam(String abilityParam) 
    {
        this.abilityParam = abilityParam;
    }

    public String getAbilityParam() 
    {
        return abilityParam;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facsCode", getFacsCode())
            .append("abilityName", getAbilityName())
            .append("abilityDesc", getAbilityDesc())
            .append("abilityParam", getAbilityParam())
            .toString();
    }
}
